;;; d-checkdoc-backslash.el --- development bits for checkdoc-backslash
;; Copyright 2014 Kevin Ryde

;; Keywords: maint
;; This file is part of miscbits-el.
;;
;; miscbits-el is free software; you can redistribute it and/or modify it
;; under the terms of the GNU General Public License as published by the
;; Free Software Foundation; either version 3, or (at your option) any later
;; version.
;;
;; miscbits-el is distributed in the hope that it will be useful, but
;; WITHOUT ANY WARRANTY; without even the implied warranty of
;; MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General
;; Public License for more details.
;;
;; You should have received a copy of the GNU General Public License along
;; with miscbits-el; see the file COPYING.  Failing that, go to
;; <http://www.gnu.org/licenses/>.

;;; Commentary:
;; 

;;; Code:

;;-----------------------------------------------------------------------------

(add-hook 'checkdoc-style-hooks 'checkdoc-backslash-docstring)

(defun my-foo ()
  "Some thing.
Escaped \\=\\.
A backslash \\x.
Blah."
  123)

;;-----------------------------------------------------------------------------

(progn
  (add-to-list 'load-path (expand-file-name "."))
  (require 'my-byte-compile)
  (my-byte-compile))
(progn
  (add-to-list 'load-path (expand-file-name "."))
  (require 'my-byte-compile)
  (my-show-autoloads))


(provide 'd-checkdoc-backslash)

;;; d-checkdoc-backslash.el ends here
