;; Copyright 2010 Kevin Ryde.

;; This file is part of miscbits-el.
;;
;; miscbits-el is free software; you can redistribute it and/or modify it
;; under the terms of the GNU General Public License as published by the
;; Free Software Foundation; either version 3, or (at your option) any later
;; version.
;;
;; miscbits-el is distributed in the hope that it will be useful, but
;; WITHOUT ANY WARRANTY; without even the implied warranty of
;; MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General
;; Public License for more details.
;;
;; You should have received a copy of the GNU General Public License along
;; with miscbits-el; see the file COPYING.  Failing that, go to
;; <http://www.gnu.org/licenses/>.

(load "cus-dep")

(progn
  (let ((generated-autoload-load-name nil)
        (generated-custom-dependencies-file "/tmp/d-cus-dep-output.el")
        (command-line-args-left (list (expand-file-name ".."))))
    (message "args: %S" command-line-args-left)
    (if (find-buffer-visiting generated-custom-dependencies-file)
        (kill-buffer (find-buffer-visiting generated-custom-dependencies-file)))
    (if (file-exists-p generated-custom-dependencies-file)
        (delete-file generated-custom-dependencies-file))
    (custom-make-dependencies)
    (find-file generated-custom-dependencies-file)
    (goto-char (point-min))))
