;; Copyright 2016, 2017 Kevin Ryde.

;; This file is part of miscbits-el.
;;
;; miscbits-el is free software; you can redistribute it and/or modify it
;; under the terms of the GNU General Public License as published by the
;; Free Software Foundation; either version 3, or (at your option) any later
;; version.
;;
;; miscbits-el is distributed in the hope that it will be useful, but
;; WITHOUT ANY WARRANTY; without even the implied warranty of
;; MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General
;; Public License for more details.
;;
;; You should have received a copy of the GNU General Public License along
;; with miscbits-el; see the file COPYING.  Failing that, go to
;; <http://www.gnu.org/licenses/>.


;;-----------------
;; compile

(progn
  (add-to-list 'load-path (expand-file-name "."))
  (require 'my-byte-compile)
  (my-byte-compile))
(progn
  (add-to-list 'load-path (expand-file-name "."))
  (require 'my-byte-compile)
  (my-show-autoloads))

;;-----------------

;; 
;; (string-match "\\s\"" "'")
;; (string-match "\\s." ",")
;; (string-match "\\s." ";")
;; (string-match "\\s." ".")
;; (string-match "\\s-" " ")

;; \\s|  string delims
;; \\s"  programming string quotes
;; \\S.\\s)*\\s-\\S-

;; no :upper: etc in xemacs
(string-match "[[:alpha:]]" "B")
(string-match "[[:upper:]]" "B")


(require 'sentence-spacing)
(find-file "d-sentence-spacing.txt")
(defun sentence-spacing (&rest args)







;;-----------------------------------------------------------------------------

;; (defconst my-fix-sentences-abbreviations
;;   '("Cf" "cf" "Ie" "ie" "Vol" "vol"
;;     "Dr" "Mr" "Mrs" "Ms")
;;   "An internal part of fix-sentences.el.
;; List of words which are abbreviations so that a following \".\"
;; is not the end of a word.")
;; 
;; (defun my-fix-sentences (&rest args)
;;   (interactive)
;;   (require 'thingatpt)
;;   (save-excursion
;;     (goto-char (point-min))
;;     (let ((inhibit-read-only t)
;;           (case-fold-search nil))
;;       (while (re-search-forward "[A-Za-z0-9/][][()}\"']*\\([.?!]+\\)[])}\"']* \\([^ \r\na-z]+\\)" nil t)
;;         (let* ((before-point (match-beginning 0))
;;                (after-point  (match-beginning 2))
;;                (dot          (match-string 1))
;;                (after-word   (match-string 2))
;;                (before-word  (progn (goto-char before-point) (word-at-point))))
;;           (goto-char (1- after-point))
;; 
;;           (cond ((and (equal dot ".")
;;                       (member before-word my-fix-sentences-abbreviations))
;;                  ) ;; an abbreviation, not sentence end
;;                 ((and (equal dot ".")
;;                       before-word
;;                       (string-match "\\`[A-Z]\\'" before-word))
;;                  ) ;; single capital letter is an abbreviation
;;                 ((and before-word
;;                       after-word
;;                       (string-match "\\`[A-Z]" before-word)
;;                       (string-match "\\`[0-9]" after-word))
;;                  ) ;; numbered section like "Chap. 1" or "Vol. 1"
;;                 (t
;;                  (insert " ")
;;                  (goto-char (1+ (point))))))))))
;; (eval-after-load "w3m" '(add-hook 'w3m-display-hook 'my-fix-sentences))
